"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAllReposDiffs = getAllReposDiffs;

var _pProgress = _interopRequireDefault(require("p-progress"));

var _pMap = _interopRequireDefault(require("p-map"));

var _repos = require("./repos");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getAllReposDiffs({
  org,
  repos
}) {
  return _pProgress.default.fn((repos, progress) => {
    let i = 0;
    return (0, _pMap.default)(repos, repo => (0, _repos.getBranchDiff)({
      org,
      repo
    }).then(resp => {
      progress(i++ / repos.length);
      return resp;
    }), {
      concurrency: 32
    });
  })(repos);
}