"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.deleteBranch = deleteBranch;
exports.publishDraftRelease = publishDraftRelease;

var _restClient = require("@shelf/gh-sdk/lib/rest-client");

var _ghSdk = require("@shelf/gh-sdk");

async function publishDraftRelease({
  org,
  repo,
  releaseId
}) {
  const gh = (0, _restClient.getClient)();
  const {
    data
  } = await gh.repos.updateRelease({
    owner: org,
    repo,
    release_id: releaseId,
    draft: false
  });
  return data;
}

async function deleteBranch({
  org,
  repo,
  name
}) {
  return (0, _ghSdk.deleteBranch)({
    owner: org,
    repo,
    ref: `heads/${name}`
  });
}